Wrap subprojects in the overview section with an unordered list to improve customisation
2018-07-29 13:44 - Bernhard Rohloff

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 4.1.0

Description

The proposed patches wrap the subprojects inside an unordered list but preserves the original view.
The intention behind this proposal is to give users and theme designers more freedom in styling the subprojects section in the project
overview without the need of patching it.

Related issues:
Related to Redmine - Patch #8383: Display subprojects as individual unordered... New 2011-05-17

Associated revisions

Revision 18077 - 2019-04-23 17:37 - Go MAEDA

Wrap subprojects in the overview section with an unordered list (#29289).

Patch by Bernhard Rohloff.

History

#1 - 2018-07-29 16:48 - Go MAEDA

- Related to Patch #8383: Display subprojects as individual unordered list items on project overview added

#2 - 2018-08-04 08:39 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2018-10-08 02:24 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

#4 - 2018-11-05 11:08 - Go MAEDA
- File 29289-overflow@2x.png added

Project names overflow the box after applying the patches. Could you investigate it?

Subprojects

Private child of eCookbook, b, eCookbook Subproject 1,
eCookbook Subproject 2,
long long long long long long long project name

#5 - 2018-11-05 14:00 - Bernhard Rohloff
- File reattach_old_style_to_new_list_v2.diff added

@Go MAEDA Thank you for pointing it out.
I've attached a new version of the stylesheet patch which fix the problem.

#6 - 2018-11-05 15:19 - Go MAEDA

Bernhard Rohloff wrote:

I've attached a new version of the stylesheet patch which fix the problem.
| confirmed that the problem was fixed now. Thank you for updating the patch so quickly.

#7 - 2019-04-23 17:37 - Go MAEDA

- Subject changed from Wrap subprojects in the overview section with an unordered list to improve customisation. to Wrap subprojects in the overview

section with an unordered list to improve customisation
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.
